﻿/* jQuery Specific - must load after jQuery */

$(document).ready(function() {

    $(".faq_reference").click(function() {
          $("#toggled_id").val(faq_toggle(this.id));
    });

    $(".faq_header").click(function() {
          $("#toggled_id").val(container_toggle($("#toggled_id").val(), this.id));
    });

// curvy corners

  $(".corner").corner({
    tl: { radius: 10 },
    tr: { radius: 10 },
    bl: { radius: 10 },
    br: { radius: 10 },
    antiAlias: true,
    autoPad: true,
    validTags: ["div"] });

});

/* Regular JavaScript Functions */

var actiontecLoopBody="";
var appleLoopBody="";
var buffaloLoopBody="";
var dLinkLoopBody="";
var ddWRTLoopBody="";
var linksysLoopBody="";
var netgearLoopBody="";
var tomatoLoopBody="";
var ioIP="";
var ioRouter="";
var protoPort = new Array();
var protoName = new Array();

function call_link(old_id, clicked_id, link_id) {
    if (clicked_id != old_id) {
       $("#toggled_id").val(container_toggle(old_id, clicked_id));
    }
    faq_toggle(link_id);
    return result;
}
function faq_toggle(link_id) {
    $("#faq_answer").load("faqs.html div#" + link_id + "_answer");

    // add slight delay for page load

    var jump=setTimeout("document.location.hash='topic_top'",50);
}

function container_toggle(old_container, clicked_container) {
    var toggled_img = "#"+old_container+"_img";
    var toggled_container = "#"+old_container+"_container";
    var new_container = "#"+clicked_container+"_container";
    var new_img = "#"+clicked_container+"_img";
    var off = "0";

    if (old_container != 0) {
        $(toggled_container).slideUp('fast');
        $(toggled_img).attr("src","images/black_arrow_right.gif");
        }
    if (old_container == clicked_container) {
        $(toggled_container).slideUp('fast');
        $(toggled_img).attr("src","images/black_arrow_right.gif");
        return off;
        }
    $(new_container).slideDown('fast');
    $(new_img).attr("src","images/black_arrow_down.gif");
    return clicked_container;
}

function verifyIP (IPvalue) {
    errorString = "";
    theName = "IPaddress";

    var ipPattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
    var ipArray = IPvalue.match(ipPattern);

    if (IPvalue == "0.0.0.0")
    errorString = errorString + theName + ': '+IPvalue+' ist eine besondere IP-Adresse, die hier nicht verwendet werden kann.';
    else if (IPvalue == "255.255.255.255")
    errorString = errorString + theName + ': '+IPvalue+' ist eine besondere IP-Adresse, die hier nicht verwendet werden kann.';
    if (ipArray == null)
    errorString = errorString + theName + ': '+IPvalue+' ist keine gültige IP-Adresse.';
    else {
    for (i = 0; i < 4; i++) {
    thisSegment = ipArray[i];
    if (thisSegment > 255) {
    errorString = errorString + theName + ': '+IPvalue+' ist keine gültige IP-Adresse.';
    i = 4;
    }
    if ((i == 0) && (thisSegment > 255)) {
    errorString = errorString + theName + ': '+IPvalue+' ist eine besondere IP-Adresse, die hier nicht verwendet werden kann.';
    i = 4;
          }
       }
    }
    extensionLength = 3;
    if (errorString == "")
    return true;
    /*alert ("Dies ist eine gültige IP-Adresse.");*/
    else
    return false;
    /*alert (errorString);*/
}
//  End -->


function setProtocol(proto) {
//    document.getElementById('IPAddress').style.display = 'block';
    var ioProtocol = proto;
    if (ioProtocol == "Remote Access") { protoPort[0] = '443';  protoName[0] = 'Iomega iConnect Remote Access'; }
    else if (ioProtocol == "FTP") { protoPort[0] = '21'; protoName[0] = 'Iomega iConnect FTP'; }
    else { protoPort = ['443', '21']; protoName = ['Iomega iConnect Remote Access', 'Iomega iConnect FTP']; }
    }

function setAddress(address) {
    if (verifyIP(address)) {
    document.getElementById('validator').innerHTML = "&nbsp;<img class='led' src='images/green_led_on.gif'>&nbsp;<span class='greenb'>Gültige IP-Adresse</span>";
    ioIP = address;
    document.getElementById('RouterName').style.display = 'block';
    }
    else {
    document.getElementById('validator').innerHTML = "&nbsp;<img class='led' src='images/red_led_on.gif'>&nbsp;<span class='redb'>Ungültige IP-Adresse</span>";
    }
    }

function setRouter(gateway) {
    ioRouter = gateway;
    }

function actiontecLoop() {
    actiontecLoopBody = ""
    document.getElementById('actiontecLoopContainer').innerHTML = actiontecLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        actiontecLoopBody = actiontecLoopBody + "<li><p>Geben Sie die folgenden Informationen ein:</p>";
        actiontecLoopBody = actiontecLoopBody + "<table width='400'>";
        actiontecLoopBody = actiontecLoopBody + "<tr>";
        actiontecLoopBody = actiontecLoopBody + "<td width='150' align='center'><b>IP-Anschlussbereich</b></td>";
        actiontecLoopBody = actiontecLoopBody + "<td width='100' align='center'><b>Protokoll</b></td>";
        actiontecLoopBody = actiontecLoopBody + "<td width='150' align='center'><b>IP-Adresse</b></td>";
        actiontecLoopBody = actiontecLoopBody + "</tr>";
        actiontecLoopBody = actiontecLoopBody + "<tr>";
        actiontecLoopBody = actiontecLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input>bis <input size='5' value='" + protoPort[i] + "'></input></td>";
        actiontecLoopBody = actiontecLoopBody + "<td align='center'><select><option>TCP</option></select></td>";
        actiontecLoopBody = actiontecLoopBody + "<td align='center'><input value='" + ioIP + "'></input></td>";
        actiontecLoopBody = actiontecLoopBody + "</tr>";
        actiontecLoopBody = actiontecLoopBody + "</table>";
        actiontecLoopBody = actiontecLoopBody + "</li>";
        actiontecLoopBody = actiontecLoopBody + "<li><p>Klicken Sie auf <b>Hinzufügen</b>.</p></li>";
    }
    document.getElementById('actiontecLoopContainer').innerHTML = actiontecLoopBody;
    }

function appleLoop() {
    appleLoopBody = ""
    document.getElementById('appleLoopContainer').innerHTML = appleLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        appleLoopBody = appleLoopBody + "<li><p>Klicken Sie auf die Schaltfläche <b>+</b> (Hinzufügen).</p></li>";
        appleLoopBody = appleLoopBody + "<li><p>Geben Sie die folgenden Informationen ein:</p>";
        appleLoopBody = appleLoopBody + "<table width='400'>";
        appleLoopBody = appleLoopBody + "<tr>";
        appleLoopBody = appleLoopBody + "<td align='right'>Service: </td>";
        appleLoopBody = appleLoopBody + "<td><select><option>Wählen Sie einen Service aus</option></select></td>";
        appleLoopBody = appleLoopBody + "</tr>";
        appleLoopBody = appleLoopBody + "<tr>";
        appleLoopBody = appleLoopBody + "<td align='right'>Öffentliche(r) UDP-Anschluss/-Anschlüsse: </td>";
        appleLoopBody = appleLoopBody + "<td><input value=''></input></td>";
        appleLoopBody = appleLoopBody + "</tr>";
        appleLoopBody = appleLoopBody + "<tr>";
        appleLoopBody = appleLoopBody + "<td align='right'>Öffentliche(r) TCP-Anschluss/-Anschlüsse: </td>";
        appleLoopBody = appleLoopBody + "<td><input value='" + protoPort[i] + "'></input></td>";
        appleLoopBody = appleLoopBody + "</tr>";
        appleLoopBody = appleLoopBody + "<tr>";
        appleLoopBody = appleLoopBody + "<td align='right'>Private IP-Adresse: </td>";
        appleLoopBody = appleLoopBody + "<td><input value='" + ioIP + "'></input></td>";
        appleLoopBody = appleLoopBody + "</tr>";
        appleLoopBody = appleLoopBody + "<tr>";
        appleLoopBody = appleLoopBody + "<td align='right'>Private(r) UDP-Anschluss/-Anschlüsse: </td>";
        appleLoopBody = appleLoopBody + "<td><input value=''></input></td>";
        appleLoopBody = appleLoopBody + "</tr>";
        appleLoopBody = appleLoopBody + "<tr>";
        appleLoopBody = appleLoopBody + "<td align='right'>Private(r) TCP-Anschluss/-Anschlüsse: </td>";
        appleLoopBody = appleLoopBody + "<td><input value='" + protoPort[i] + "'></input></td>";
        appleLoopBody = appleLoopBody + "</tr>";
        appleLoopBody = appleLoopBody + "</table>";
        appleLoopBody = appleLoopBody + "</li>";
        appleLoopBody = appleLoopBody + "<li><p>Klicken Sie auf <b>Weiter</b>.</p</li>";
        appleLoopBody = appleLoopBody + "<li><p>Geben Sie <b>" + protoName[i] + "</b> im Beschreibungsfeld ein.</p></li>";
        appleLoopBody = appleLoopBody + "Klicken Sie auf die Schaltfläche <b>Fertig</b>.";
    }
    document.getElementById('appleLoopContainer').innerHTML = appleLoopBody;
    }

function buffaloLoop() {
    buffaloLoopBody = ""
    document.getElementById('buffaloLoopContainer').innerHTML = buffaloLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        buffaloLoopBody = buffaloLoopBody + "<li><p>Geben Sie die folgenden Informationen ein:</p>";
        buffaloLoopBody = buffaloLoopBody + "<table bgcolor='#ddd' border='0' cellpadding='0' cellspacing='0'>";
        buffaloLoopBody = buffaloLoopBody + "<tr>";
        buffaloLoopBody = buffaloLoopBody + "<td width='150'><b>TCP</b></td>";
        buffaloLoopBody = buffaloLoopBody + "<td width='350'><input value='" + protoPort[i] + "'></input></td>";
        buffaloLoopBody = buffaloLoopBody + "</tr>";
        buffaloLoopBody = buffaloLoopBody + "<tr>";
        buffaloLoopBody = buffaloLoopBody + "<td><b>UDP</b></td>";
        buffaloLoopBody = buffaloLoopBody + "<td><input value=''></input></td>";
        buffaloLoopBody = buffaloLoopBody + "</tr>";
        buffaloLoopBody = buffaloLoopBody + "<tr>";
        buffaloLoopBody = buffaloLoopBody + "<td><b>LAN-IP-Adresse</b></td>";
        buffaloLoopBody = buffaloLoopBody + "<td><p><input type='radio'> IP-Adresse Ihres Computers</input><br>";
        buffaloLoopBody = buffaloLoopBody + "<input type='radio' checked> Manuelle Konfiguration</input> <input value='" + ioIP + "'></input></p>";
        buffaloLoopBody = buffaloLoopBody + "</td>";
        buffaloLoopBody = buffaloLoopBody + "</tr>";
        buffaloLoopBody = buffaloLoopBody + "</table>";
        buffaloLoopBody = buffaloLoopBody + "</li>";
        buffaloLoopBody = buffaloLoopBody + "<li><p>Klicken Sie auf die Schaltfläche <b>Anwenden</b>.</p></li>";
    }
    document.getElementById('buffaloLoopContainer').innerHTML = buffaloLoopBody;
    }

function dLinkLoop() {
    dLinkLoopBody = ""
    document.getElementById('dLinkLoopContainer').innerHTML = dLinkLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        dLinkLoopBody = dLinkLoopBody + "<li><p>Geben Sie die folgenden Informationen in eine leere Zeile ein:</p>";
        dLinkLoopBody = dLinkLoopBody + "<table cellpadding='0' cellspacing='0' border='1' bgcolor='#ccc'>";
        dLinkLoopBody = dLinkLoopBody + "<tr>";
        dLinkLoopBody = dLinkLoopBody + "<td width='50'></td>";
        dLinkLoopBody = dLinkLoopBody + "<td width='150'></td>";
        dLinkLoopBody = dLinkLoopBody + "<td width='200'></td>";
        dLinkLoopBody = dLinkLoopBody + "<td width='75'>Port</td>";
        dLinkLoopBody = dLinkLoopBody + "<td width='100'>Datenverkehrstyp</td>";
        dLinkLoopBody = dLinkLoopBody + "</tr>";
        dLinkLoopBody = dLinkLoopBody + "<tr>";
        dLinkLoopBody = dLinkLoopBody + "<td rowspan='2' valign='middle'><input type='checkbox' checked></input></td>";
        dLinkLoopBody = dLinkLoopBody + "<td>Name<br><input value='" + protoName[i] + "'></input></td>";
        dLinkLoopBody = dLinkLoopBody + "<td><button>&lt;&lt;</button><select><option>Anwendungsname</option></select></td>";
        dLinkLoopBody = dLinkLoopBody + "<td>Start<br><input size='5' value='" + protoPort[i] + "'></input></td>";
        dLinkLoopBody = dLinkLoopBody + "<td rowspan='2' valign='middle'><select><option>Beliebig</option></select></td>";
        dLinkLoopBody = dLinkLoopBody + "</tr>";
        dLinkLoopBody = dLinkLoopBody + "<tr>";
        dLinkLoopBody = dLinkLoopBody + "<td>IP-Adresse<br><input value='" + ioIP + "'></input></td>";
        dLinkLoopBody = dLinkLoopBody + "<td><button>&lt;&lt;</button><select><option>Computername</option></select></td>";
        dLinkLoopBody = dLinkLoopBody + "<td>Ende<br><input size='5' value='" + protoPort[i] + "'></input></td>";
        dLinkLoopBody = dLinkLoopBody + "</tr>";
        dLinkLoopBody = dLinkLoopBody + "</table>";
    }
    document.getElementById('dLinkLoopContainer').innerHTML = dLinkLoopBody;
    }

function ddWRTLoop() {
    ddWRTLoopBody = ""
    document.getElementById('ddWRTLoopContainer').innerHTML = ddWRTLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        ddWRTLoopBody = ddWRTLoopBody + "<li><p>Geben Sie die folgenden Informationen in eine leere Zeile ein:</p>";
        ddWRTLoopBody = ddWRTLoopBody + "<table width='600'>";
        ddWRTLoopBody = ddWRTLoopBody + "<tr cellpadding='5'>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center' style='width: 150px; background-color: #9a9a9a; color: #fff;'><b>Anwendung</b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center' style='width: 50px; background-color: #9a9a9a; color: #fff;'><b>Start</b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center' style='width: 50px; background-color: #9a9a9a; color: #fff;'><b>Ende</b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center' style='width: 100px; background-color: #9a9a9a; color: #fff;'><b>Protokoll</b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center' style='width: 100px; background-color: #9a9a9a; color: #fff;'><b>IP-Adresse</b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center' style='width: 50px; background-color: #9a9a9a; color: #fff;'><b>Aktivieren</b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "</tr>";
        ddWRTLoopBody = ddWRTLoopBody + "<tr>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center'><input value='" + protoName[i] + "'></input></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center'><select><option>TCP</option></select></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center'><input value='" + ioIP + "'></input></b></td>";
        ddWRTLoopBody = ddWRTLoopBody + "<td align='center'><input type='checkbox' checked></input></td>";
        ddWRTLoopBody = ddWRTLoopBody + "</tr>";
        ddWRTLoopBody = ddWRTLoopBody + "</table>";
        ddWRTLoopBody = ddWRTLoopBody + "</li>";
        ddWRTLoopBody = ddWRTLoopBody + "<li><p>Klicken Sie auf <b>Hinzufügen</b>.</p></li>";
    }
    document.getElementById('ddWRTLoopContainer').innerHTML = ddWRTLoopBody;
    }

function linksysLoop() {
    linksysLoopBody = ""
    document.getElementById('linksysLoopContainer').innerHTML = linksysLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        linksysLoopBody = linksysLoopBody + "<li><p>Geben Sie die folgenden Informationen in eine leere Zeile ein:</p>";
        linksysLoopBody = linksysLoopBody + "<table width='600'>";
        linksysLoopBody = linksysLoopBody + "<tr cellpadding='5'>";
        linksysLoopBody = linksysLoopBody + "<td align='center' style='width: 150px; background-color: #cccccc; color: #000; border: 1px solid black'><b>Anwendung</b></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center' style='width: 75px; background-color: #cccccc; color: #000; border: 1px solid black'><b>Start</b></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center' style='width: 75px; background-color: #cccccc; color: #000; border: 1px solid black'><b>Ende</b></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center' style='width: 100px; background-color: #cccccc; color: #000; border: 1px solid black'><b>Protokoll</b></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center' style='width: 150px; background-color: #cccccc; color: #000; border: 1px solid black'><b>IP-Adresse</b></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center' style='width: 50px; background-color: #cccccc; color: #000; border: 1px solid black'><b>Aktivieren</b></td>";
        linksysLoopBody = linksysLoopBody + "</tr>";
        linksysLoopBody = linksysLoopBody + "<tr>";
        linksysLoopBody = linksysLoopBody + "<td align='center'><input value='" + protoName[i] + "'></input></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input> bis </td>";
        linksysLoopBody = linksysLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center'><select><option>TCP</option></select></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center'><input value='" + ioIP + "'></input></b></td>";
        linksysLoopBody = linksysLoopBody + "<td align='center'><input type='checkbox' checked></input></td>";
        linksysLoopBody = linksysLoopBody + "</tr>";
        linksysLoopBody = linksysLoopBody + "</table>";
        linksysLoopBody = linksysLoopBody + "</li>";
    }
    document.getElementById('linksysLoopContainer').innerHTML = linksysLoopBody;
    }

function netgearLoop() {
    netgearLoopBody = ""
    document.getElementById('netgearLoopContainer').innerHTML = netgearLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        netgearLoopBody = netgearLoopBody + "<li><p>Geben Sie die folgenden Informationen ein:</p>";
        netgearLoopBody = netgearLoopBody + "<table>";
        netgearLoopBody = netgearLoopBody + "<tr>";
        netgearLoopBody = netgearLoopBody + "<td width='150'><input type='checkbox' checked></input> Aktivieren</td>";
        netgearLoopBody = netgearLoopBody + "<td></td>";
        netgearLoopBody = netgearLoopBody + "</tr>";
        netgearLoopBody = netgearLoopBody + "<tr>";
        netgearLoopBody = netgearLoopBody + "<td><b>Servicename</b></td>";
        netgearLoopBody = netgearLoopBody + "<td><input value='" + protoName[i] + "'></input></td>";
        netgearLoopBody = netgearLoopBody + "</tr>";
        netgearLoopBody = netgearLoopBody + "<tr>";
        netgearLoopBody = netgearLoopBody + "<td><b>Anfangsport</b></td>";
        netgearLoopBody = netgearLoopBody + "<td><input value='" + protoPort[i] + "'></input></td>";
        netgearLoopBody = netgearLoopBody + "</tr>";
        netgearLoopBody = netgearLoopBody + "<tr>";
        netgearLoopBody = netgearLoopBody + "<td><b>Endport</b></td>";
        netgearLoopBody = netgearLoopBody + "<td><input value='" + protoPort[i] + "'></input></td>";
        netgearLoopBody = netgearLoopBody + "</tr>";
        netgearLoopBody = netgearLoopBody + "<tr>";
        netgearLoopBody = netgearLoopBody + "<td><b>Server-IP-Adresse</b></td>";
        netgearLoopBody = netgearLoopBody + "<td><input value='" + ioIP + "'></input></td>";
        netgearLoopBody = netgearLoopBody + "</tr>";
        netgearLoopBody = netgearLoopBody + "</table>";
        }
    document.getElementById('netgearLoopContainer').innerHTML = netgearLoopBody;
    }

function tomatoLoop() {
    tomatoLoopBody = ""
    document.getElementById('tomatoLoopContainer').innerHTML = tomatoLoopBody;
    for (var i=0; i<protoPort.length; i++)
    {
        tomatoLoopBody = tomatoLoopBody + "<li><p>Geben Sie die folgenden Informationen in eine leere Zeile ein:</p>";
        tomatoLoopBody = tomatoLoopBody + "<table width='650'>";
        tomatoLoopBody = tomatoLoopBody + "<tr cellpadding='5'>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 50px; background-color: #cccccc; color: #000;'><b>Aktivieren</b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 100px; background-color: #cccccc; color: #000;'><b>Proto</b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 100px; background-color: #cccccc; color: #000;'><b>Quelladresse</b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 75px; background-color: #cccccc; color: #000;'><b>Ext. Ports</b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 75px; background-color: #cccccc; color: #000;'><b>Int. Ports</b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 100px; background-color: #cccccc; color: #000;'><b>Int. Adresse</b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center' style='width: 150px; background-color: #cccccc; color: #000;'><b>Beschreibung</b></td>";
        tomatoLoopBody = tomatoLoopBody + "</tr>";
        tomatoLoopBody = tomatoLoopBody + "<tr>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><input type='checkbox' checked></input></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><select><option>TCP</option></select></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><input value=''></input></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><input size='5' value='" + protoPort[i] + "'></input></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><input value='" + ioIP + "'></input></b></td>";
        tomatoLoopBody = tomatoLoopBody + "<td align='center'><input value='" + protoName[i] + "'></input></td>";
        tomatoLoopBody = tomatoLoopBody + "</tr>";
        tomatoLoopBody = tomatoLoopBody + "</table>";
        tomatoLoopBody = tomatoLoopBody + "</li>";
        tomatoLoopBody = tomatoLoopBody + "<li><p>Klicken Sie auf <b>Hinzufügen</b>.</p></li>";
    }
    document.getElementById('tomatoLoopContainer').innerHTML = tomatoLoopBody;
    }

function routerLoop() {
    if (ioRouter == "Actiontec") { actiontecLoop(); }
    else if (ioRouter == "Apple") { appleLoop(); }
    else if (ioRouter == "Buffalo") { buffaloLoop(); }
    else if (ioRouter == "D-Link") { dLinkLoop(); }
    else if (ioRouter == "DD-WRT") { ddWRTLoop(); }
    else if (ioRouter == "Linksys") { linksysLoop(); }
    else if (ioRouter == "Netgear") { netgearLoop(); }
    else if (ioRouter == "Tomato") { tomatoLoop(); }
    }
